/*
 * Copyright (C) 2010 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Mikkel Kamstrup Erlandsen <mikkel.kamstrup@canonical.com>
 *
 */
namespace Unity.ApplicationsPlace.Utils
{ 
  string get_section_name (Section section)
  {
    switch (section)
    {
      case Section.ALL_APPLICATIONS:
        return "All Applications";
      case Section.ACCESSORIES:
        return "Accessories";
      case Section.GAMES:
        return "Games";
      case Section.INTERNET:
        return "Internet";
      case Section.MEDIA:
        return "Media";
      case Section.OFFICE:
        return "Office";
      case Section.SYSTEM:
        return "System";
      default:
        return "Internal Error";
    }
  }
  
  AppInfo get_app_info_for_actor (string actor)
  {
    string desktop_id = actor;
    // Convert the actor string to a desktop id (eg 'eog.desktop')
    // no matter the contents of actor
    if (desktop_id.has_prefix("application://"))
      desktop_id = desktop_id.substring(14).dup();
    else if (desktop_id.has_prefix("app://"))
      desktop_id = desktop_id.substring(6).dup();
    else if (desktop_id.has_prefix("/"))
      {
        var f = File.new_for_path (desktop_id);
        desktop_id = f.get_basename ();
      }
    
    return new DesktopAppInfo (desktop_id);
  }
}
